<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
  	<ui:define name="title">
  	<h:outputText value="#{facesContext.translate('title.item.edit', datamanagementModel.release.name)}" />
  	</ui:define>
    <ui:define name="body">
        <p:panelGrid columns="2" rendered="#{datamanagementModel.release.acl.write}" styleClass="width100percent">
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.fk_element')}" />
          <p:selectOneMenu id="fkelement" value="#{datamanagementModel.release.fkElement}" filter="true">
            <f:selectItems value="#{datamanagementModel.elements}" var="l" itemLabel="#{l.name} (#{l.description})" itemValue="#{l.id}" />
          </p:selectOneMenu>
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.name')}" />
          <p:inputText id="name" value="#{datamanagementModel.release.name}" required="true"
            requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.datamanagement.release.name')}" />
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.shortname')}" />
          <p:inputText id="shortname" value="#{datamanagementModel.release.shortname}" />
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.description')}" />
          <p:inputTextarea id="descr" value="#{datamanagementModel.release.description}" styleClass="inputTextarea"/>
          <h:outputText value="" />
          <p:selectBooleanCheckbox id="rolling" value="#{datamanagementModel.release.rolling}" itemLabel="#{facesContext.translate('label.datamanagement.release.type')}" />
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.date')}" />
          <p:datePicker id="releasedt" value="#{datamanagementModel.release.releasedate}" locale="#{lang.localeCode}" />
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.location')}" />
          <p:inputText id="location" value="#{datamanagementModel.release.location}" />
          <h:outputText value="" />
          <p:selectBooleanCheckbox id="backup" value="#{datamanagementModel.release.backup}" itemLabel="#{facesContext.translate('label.datamanagement.release.backup')}" />
          <h:outputText value="" />
          <p:selectBooleanCheckbox id="active" value="#{datamanagementModel.release.active}" itemLabel="#{facesContext.translate('label.datamanagement.release.active')}" />
          <h:outputText value="#{facesContext.translate('label.datamanagement.release.mergecolumn')}" />
          <p:selectOneMenu id="mergecolumn" value="#{datamanagementModel.release.mergecolumn}" filter="true" required="true"
            requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.datamanagement.release.mergecolumn')}">
            <f:selectItems value="#{datamanagementModel.techvars}" var="i" itemValue="#{i.keyElement}" itemLabel="#{i.uniqueName}" />
          </p:selectOneMenu>
        </p:panelGrid>
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_approve" action="#{datamanagementController.doEditRelease}" value="#{facesContext.translate('button.approve')}" ajax="false" />
      <p:commandButton id="btn_cancel" action="#{datamanagementController.toWelcome}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
    </ui:define>
  </ui:composition>
</h:body>
</html>